% plots the sine function 
% on [0,2*pi]
clf;
x=linspace(0,2*pi,50);
y=sin(x);
plot(x,y,'-')
y=sin(2*x)
hold on
plot(x,y,'--r','LineWidth',2)
hold off
title('Sine function')
legend('sin(x)','sin(2x)')
xlabel('x')
ylabel('sin(x)')
axis([0 2*pi -1.2 1.2])
text(0,0,' \leftarrow  Origin')
box off

%gtext(' \leftarrow  Point of interest')
print -dpsc sineplot 
