% plots the sine function 
% on [0,2*pi]
close all
x=linspace(0,2*pi,50);

figure(1)
y=sin(x);
plot(x,y,'-')

figure(2)
y=sin(2*x)
plot(x,y,'--r','LineWidth',2)

figure(1)
title('Sine function')
%legend('sin(x)','sin(2x)')
xlabel('x')
ylabel('sin(x)')
xlim([0 2*pi])
ylim([-1.2 1.2])
print -dpsc sineplot 
