function [a, s] = avg(A)
% avg(A) calculates the average of all 
% elements of A
    if ~isa(A,'double') 
        error('input is not of class double')
    end
    a = average(A);
    s = standarddev(A,a);
return

function avg = average(A)
    n=numel(A);
    total = sum(A(:));
    avg=total/n;
return

function std = standarddev(A,avg)
    n=numel(A);
    std = sqrt(sum((A(:)-avg).^2)/n);
return