%% speed
clear all
x=rand(1e7,1);
tic;
for i=1:length(x)
    y(i) = x(i).^2;
end
toc;

%% preallocate
clear all
x=rand(1e7,1);
y=zeros(size(x));
tic;
for i=1:length(x)
    y(i) = x(i).^2;
end
toc;

%% vectorize
clear all
x=rand(1e7,1);
tic;
y=x.^2;
toc;

%% use built-in functions
clear all
x=rand(3e7,1);
y=zeros(size(x));
tic;
y(1)=x(1);
for i=2:length(x)
    y(i) = y(i-1)+x(i);
end
toc;

%% use built-in functions
clear all
x=rand(3e7,1);
tic
y=cumsum(x);
toc;
