function [avg, std] = avg(A)
% avg(A) calculates the average of all 
% elements of A
    if ~isa(A,'double')
        error('input is not of class double')
    end
    n=numel(A);
    avg=average(A);
    std = sqrt(sum((A(:)-avg).^2)/n);
return

function avg = average(A)
    n=numel(A);
    total = sum(A(:));
    avg=total/n;
return